Page MenuHomePhabricator

[wmf.5 -regression] leaflet-control-zoom-out is missing border-bottom line
Closed, ResolvedPublic

Description

Have a full-view map - the zoom control will be missing the bottom border:

The bottom border is missing for <a class="oo-ui-icon-close" href="" title="Close"></a>.

The issue is present in betalabs too.

Culprit is

.leaflet-bar a:last-child {
    border-bottom:none;
}

in mediawiki/extensions/Kartographer/lib/external/mapbox/style.css

Event Timeline

Restricted Application added a project: Maps. · View Herald TranscriptMay 29 2018, 8:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Etonkovidova updated the task description. (Show Details)May 29 2018, 8:08 PM
Restricted Application added a project: Discovery. · View Herald TranscriptMay 29 2018, 8:08 PM

Another example (from betalabs):

kostajh claimed this task.Jun 12 2018, 6:03 PM
kostajh updated the task description. (Show Details)Jun 13 2018, 3:51 PM

Change 440158 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/Kartographer@master] Fix border-bottom line on last leaflet-bar item

https://gerrit.wikimedia.org/r/440158

Change 440177 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/Kartographer@master] Update external libraries

https://gerrit.wikimedia.org/r/440177

Change 440177 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@master] Update external libraries

https://gerrit.wikimedia.org/r/440177

Change 440158 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@master] Fix border-bottom line on last leaflet-bar item

https://gerrit.wikimedia.org/r/440158

Etonkovidova closed this task as Resolved.Jun 14 2018, 12:26 AM

Fixed - checked in betalabs.

Vvjjkkii renamed this task from [wmf.5 -regression] leaflet-control-zoom-out is missing border-bottom line to a1baaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii removed kostajh as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: kostajh; removed: gerritbot, Aklapper.
CommunityTechBot assigned this task to kostajh.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot closed this task as Resolved.
CommunityTechBot renamed this task from a1baaaaaaa to [wmf.5 -regression] leaflet-control-zoom-out is missing border-bottom line.
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: kostajh.